/* $Id: vircam_sky.h,v 1.2 2009/02/20 11:00:35 jim Exp $
 *
 * This file is part of the VIRCAM Pipeline
 * Copyright (C) 2005 Cambridge Astronomy Survey Unit
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: jim $
 * $Date: 2009/02/20 11:00:35 $
 * $Revision: 1.2 $
 * $Name: vcam-1_3_2 $
 */


/* Includes */

#ifndef VIRCAM_SKY_H
#define VIRCAM_SKY_H

#include <cpl.h>
#include "vircam_fits.h"
#include "vircam_mask.h"

/* Sky subroutine prototypes */

extern int vircam_pawsky_mask(vir_fits **inlist, int nfiles, vir_fits *conf,
			      vir_mask *mask, vir_fits **skyout, int niter, 
			      int ipix, float thresh, int nbsize, float smkern, 
			      int *status);
extern int vircam_tilesky(vir_fits **inlist, int nfiles, vir_mask *mask, 
			  vir_fits **skyout, int *status);

#endif

/*

$Log: vircam_sky.h,v $
Revision 1.2  2009/02/20 11:00:35  jim
Added vircam_tilesky

Revision 1.1  2008/10/13 08:13:21  jim
New entry


*/
